Bug 40450 - RedHat 7.1 kernel fails to load
RedHat 7.1 kernel fails to load
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-13 18:17 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-14 13:28:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from BIOS dump utility found in another bug (3.95 KB, text/plain)
2001-05-13 18:19 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-05-13 18:17:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.4.4 i686)

Description of problem:
RedHat 7.1 kernel freezes after "Freeing unused kernel memory"

How reproducible:
Always

Steps to Reproduce:
1. Install RedHat 7.1
2. Reboot

	

Actual Results:  System fails to load properly, hanging after "Freeing
unused kernel memory".  Happens with both of the installed kernels (SMP and
UP).

Expected Results:  System should properly load.

Additional info:

System information:
Dual P3-733s
1 GB ECC PC-133 SDRAM
SuperMicro 370DL3 motherboard
Symbios Ultra SCSI 64-bit PCI card
3Com 905C-TX NIC
Diamond Stealth II S220 PCI Video card (only card I was able to make work)

On-board SCSI and NIC are disabled (did not help the problem).

Installation went fine, coming up with the graphical install utility.

Installed packages:
Mail/WWW/News tools
Kernel Development
Development
Utilities
NFS Server
WWW Server
Anonymous FTP server


As an experiment, I installed RedHat 7.0 and it worked flawlessly.
Comment 1 Need Real Name 2001-05-13 18:19:59 EDT
Created attachment 18230 [details]
Output from BIOS dump utility found in another bug
Comment 2 Arjan van de Ven 2001-05-14 04:41:27 EDT
So the installer kernel worked, but the installed kernel doesn't.
If you still have the 7.0 install available, could you attach the output of
dmesg ?
Comment 3 Need Real Name 2001-05-14 13:19:36 EDT
Here is the output from dmesg after installing RedHat 7.0 and installing the
2.4.4 kernel.

# dmesg
4>Int: type 0, pol 3, trig 3, bus 1, IRQ 08, APIC ID 5, APIC INT 0a
Int: type 3, pol 1, trig 1, bus 2, IRQ 00, APIC ID 4, APIC INT 00
Int: type 0, pol 1, trig 1, bus 2, IRQ 01, APIC ID 4, APIC INT 01
Int: type 0, pol 1, trig 1, bus 2, IRQ 00, APIC ID 4, APIC INT 02
Int: type 0, pol 1, trig 1, bus 2, IRQ 03, APIC ID 4, APIC INT 03
Int: type 0, pol 1, trig 1, bus 2, IRQ 04, APIC ID 4, APIC INT 04
Int: type 0, pol 1, trig 1, bus 2, IRQ 06, APIC ID 4, APIC INT 06
Int: type 0, pol 1, trig 1, bus 2, IRQ 07, APIC ID 4, APIC INT 07
Int: type 0, pol 1, trig 1, bus 2, IRQ 08, APIC ID 4, APIC INT 08
Int: type 0, pol 1, trig 1, bus 2, IRQ 0c, APIC ID 4, APIC INT 0c
Int: type 0, pol 1, trig 1, bus 2, IRQ 0d, APIC ID 4, APIC INT 0d
Int: type 0, pol 1, trig 1, bus 2, IRQ 0e, APIC ID 4, APIC INT 0e
Int: type 0, pol 1, trig 1, bus 2, IRQ 0f, APIC ID 4, APIC INT 0f
Lint: type 3, pol 1, trig 1, bus 2, IRQ 00, APIC ID ff, APIC LINT 00
Lint: type 1, pol 1, trig 1, bus 0, IRQ 00, APIC ID ff, APIC LINT 01
Processors: 2
mapped APIC to ffffe000 (fee00000)
mapped IOAPIC to ffffd000 (fec00000)
mapped IOAPIC to ffffc000 (fec01000)
Kernel command line: auto BOOT_IMAGE=linux ro root=306
BOOT_FILE=/boot/vmlinuz-2.4.4 reboot=b
Initializing CPU#0
Detected 733.001 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1464.72 BogoMIPS
Memory: 899688k/917504k available (1129k kernel code, 17428k reserved, 452k
data, 228k init, 0k highmem)
Dentry-cache hash table entries: 131072 (order: 8, 1048576 bytes)
Buffer-cache hash table entries: 65536 (order: 6, 262144 bytes)
Page-cache hash table entries: 262144 (order: 8, 1048576 bytes)
Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
CPU: After generic, caps: 0383fbff 00000000 00000000 00000000
CPU: Common caps: 0383fbff 00000000 00000000 00000000
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
CPU: After generic, caps: 0383fbff 00000000 00000000 00000000
CPU: Common caps: 0383fbff 00000000 00000000 00000000
CPU0: Intel Pentium III (Coppermine) stepping 03
per-CPU timeslice cutoff: 730.58 usecs.
Getting VERSION: 40011
Getting VERSION: 40011
Getting ID: 0
Getting ID: f000000
Getting LVT0: 700
Getting LVT1: 400
enabled ExtINT on CPU#0
ESR value before enabling vector: 00000004
ESR value after enabling vector: 00000000
CPU present map: 3
Booting processor 1/1 eip 2000
Setting warm reset code and vector.
1.
2.
3.
Asserting INIT.
Waiting for send to finish...
+Deasserting INIT.
Waiting for send to finish...
+#startup loops: 2.
Sending STARTUP #1.
After apic_write.
Initializing CPU#1
CPU#1 (phys ID: 1) waiting for CALLOUT
Startup point 1.
Waiting for send to finish...
+Sending STARTUP #2.
After apic_write.
Startup point 1.
Waiting for send to finish...
+After Startup.
Before Callout 1.
After Callout 1.
CALLIN, before setup_local_APIC().
masked ExtINT on CPU#1
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Calibrating delay loop... 1464.72 BogoMIPS
Stack at about c1efdfb8
CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
Intel machine check reporting enabled on CPU#1.
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
CPU: After generic, caps: 0383fbff 00000000 00000000 00000000
CPU: Common caps: 0383fbff 00000000 00000000 00000000
OK.
CPU1: Intel Pentium III (Coppermine) stepping 03
CPU has booted.
Before bogomips.
Total of 2 processors activated (2929.45 BogoMIPS).
Before bogocount - setting activated=1.
Boot done.
ENABLING IO-APIC IRQs
...changing IO-APIC physical APIC ID to 4 ... ok.
...changing IO-APIC physical APIC ID to 5 ... ok.
Synchronizing Arb IDs.
init IO_APIC IRQs
 IO-APIC (apicid-pin) 4-0, 4-5, 4-9, 4-11, 5-0, 5-1, 5-2, 5-3, 5-5, 5-7, 5-8,
5-9, 5-12, 5-13, 5-14, 5-15 not co
nnected.
..TIMER: vector=49 pin1=2 pin2=0
..MP-BIOS bug: 8254 timer not connected to IO-APIC
...trying to set up timer (IRQ0) through the 8259A ...
..... (found pin 0) ...works.
number of MP IRQ sources: 17.
number of IO-APIC #4 registers: 16.
number of IO-APIC #5 registers: 16.
testing the IO APIC.......................

IO APIC #4......
.... register #00: 04000000
.......    : physical APIC id: 04
.... register #01: 000F0011
.......     : max redirection entries: 000F
.......     : IO APIC version: 0011
.... register #02: 00000000
.......     : arbitration: 00
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:
 00 003 03  0    0    0   0   0    1    1    31
 01 003 03  0    0    0   0   0    1    1    39
 02 000 00  1    0    0   0   0    0    0    00
 03 003 03  0    0    0   0   0    1    1    41
 04 003 03  0    0    0   0   0    1    1    49
 05 000 00  1    0    0   0   0    0    0    00
 06 003 03  0    0    0   0   0    1    1    51
 07 003 03  0    0    0   0   0    1    1    59
 08 003 03  0    0    0   0   0    1    1    61
 09 000 00  1    0    0   0   0    0    0    00
 0a 003 03  1    1    0   1   0    1    1    69
 0b 000 00  1    0    0   0   0    0    0    00
 0c 003 03  0    0    0   0   0    1    1    71
 0d 003 03  0    0    0   0   0    1    1    79
 0e 003 03  00    0   0   0    1    1    81
 0f 003 03  0    0    0   0   0    1    1    89

IO APIC #5......
.... register #00: 05000000
.......    : physical APIC id: 05
.... register #01: 000F0011
.......     : max redirection entries: 000F
.......     : IO APIC version: 0011
.... register #02: 01000000
.......     : arbitration: 01
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:
 00 000 00  1    0    0   0   0    0    0    00
 01 000 00  1    0    0   0   0    0    0    00
 02 000 00  1    0    0   0   0    0    0    00
 03 000 00  1    0    0   0   0    0    0    00
 04 003 03  1    1    0   1   0    1    1    91
 05 000 00  1    0    0   0   0    0    0    00
 06 003 03  1    1    0   1   0    1    1    99
 07 000 00  1    0    0   0   0    0    0    00
 08 000 00  1    0    0   0   0    0    0    00
 09 000 00  1    0    0   0   0    0    0    00
 0a 003 03  1    1    0   1   0    1    1    A1
 0b 003 03  1    1    0   1   0    1    1    A9
 0c 000 00  1    0    0   0   0    0    0    00
 0d 000 00  1    0    0   0   0    0    0    00
 0e 000 00  1    0    0   0   0    0    0    00
 0f 000 00  1    0    0   0   0    0    0    00
IRQ to pin mappings:
IRQ0 -> 2
IRQ1 -> 1
IRQ3 -> 3
IRQ4 -> 4
IRQ6 -> 6
IRQ7 -> 7
IRQ8 -> 8
IRQ10 -> 10
IRQ12 -> 12
IRQ13 -> 13
IRQ14 -> 14
IRQ15 -> 15
IRQ20 -> 4
IRQ22 -> 6
IRQ26 -> 10
IRQ27 -> 11
.................................... done.
calibrating APIC timer ...
..... CPU clock speed is 733.0038 MHz.
..... host bus clock speed is 133.2732 MHz.
cpu: 0, clocks: 1332732, slice: 444244
CPU0<T0:1332720,T1:888464,D:12,S:444244,C:1332732>
cpu: 1, clocks: 1332732, slice: 444244
CPU1<T0:1332720,T1:444224,D:8,S:444244,C:1332732>
checking TSC synchronization across CPUs: passed.
Setting commenced=1, go go go
PCI: PCI BIOS revision 2.10 entry at 0xfdbb1, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Unable to handle 64-bit address for device 01:03.0
PCI: Discovered primary peer bus 01 [IRQ]
PCI: Using IRQ router ServerWorks [1166/0200] at 00:0f.0
PCI->APIC IRQ transform: (B0,I3,P0) -> 20
PCI->APIC IRQ transform: (B0,I4,P0) -> 22
PCI->APIC IRQ transform: (B0,I15,P0) -> 10
PCI->APIC IRQ transform: (B1,I2,P0) -> 26
PCI->APIC IRQ transform: (B1,I2,P1) -> 27
PCI: Cannot allocate resource region 0 of device 00:06.0
PCI: Cannot allocate resource region 1 of device 00:06.0
PCI: Cannot allocate resource region 2 of device 00:06.0
PCI: Cannot allocate resource region 0 of device 01:03.0
  got res[40000000:40000fff] for resource 0 of Intel Corporation 82557 [Ethernet
Pro 100]
  got res[1000:103f] for resource 1 of Intel Corporation 82557 [Ethernet Pro
100]
  got res[40100000:401fffff] for resource 2 of Intel Corporation 82557 [Ethernet
Pro 100]
  got res[1400:14ff] for resource 0 of Adaptec 7892P
PCI: Failed to allocate resource 1 for Adaptec 7892P
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Startingkswapd v1.8
pty: 256 Unix98 ptys configured
block: queued sectors max/low 597757kB/466685kB, 1792 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ServerWorks OSB4: IDE controller on PCI bus 00 dev 79
ServerWorks OSB4: chipset revision 0
ServerWorks OSB4: not 100% native mode: will probe irqs later
hda: ST320414A, ATA DISK drive
hdb: ATAPI CD-ROM MAX 52X, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: 39102336 sectors (20020 MB) w/2048KiB Cache, CHS=38792/16/63
hdb: ATAPI 52X CD-ROM drive, 128kB Cache
Uniform CD-ROM driver Revision: 3.12
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 hda8 >
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
Serial driver version 5.05a (2001-03-20) with MANY_PORTS SHARE_IRQ SERIAL_PCI
enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
3c59x.c:LK1.1.13 27 Jan 2001  Donald Becker and others.
http://www.scyld.com/network/vortex.html
See Documentation/networking/vortex.txt
eth0: 3Com PCI 3c905C Tornado at 0xdc00,  00:01:02:74:12:69, IRQ 20
  product code 4552 rev 00.13 date 07-15-00
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/Autonegotiate interface.
  MII transceiver found at address 24, status 7809.
  Enabling bus-master transmits and whole-frame receives.
eth0: scatter/gather enabled. h/w checksums enabled
SCSI subsystem driver Revision: 1.00
sym53c8xx: at PCI bus 1, device 2, function 1
sym53c8xx: setting PCI_COMMAND_PARITY...(fix-up)
sym53c8xx: 53c1010-33 detected with Symbios NVRAM
sym53c8xx: at PCI bus 1, device 2, function 0
sym53c8xx: setting PCI_COMMAND_PARITY...(fix-up)
sym53c8xx: 53c1010-33 detected with Symbios NVRAM
sym53c1010-33-0: rev 0x1 on pci bus 1 device 2 function 1 irq 27
sym53c1010-33-0: Symbios format NVRAM, ID 7, Fast-80, Parity Checking
sym53c1010-33-0: on-chip RAM at 0xfebfc000
sym53c1010-33-0: restart (scsi reset).
sym53c1010-33-0: handling phase mismatch from SCRIPTS.
sym53c1010-33-0: Downloading SCSI SCRIPTS.
sym53c1010-33-1: rev 0x1 on pci bus 1 device 2 function 0 irq 26
sym53c1010-33-1: Symbios format NVRAM, ID 7, Fast-80, Parity Checking
sym53c1010-33-1: on-chip RAM at 0xfebfa000
sym53c1010-33-1: restart (scsi reset).
sym53c1010-33-1: handling phase mismatch from SCRIPTS.
sym53c1010-33-1: Downloading SCSI SCRIPTS.
scsi0 : sym53c8xx-1.7.3a-20010304
scsi1 : sym53c8xx-1.7.3a-20010304
  Vendor: SEAGATE   Model: ST173404LW        Rev: 0003
  Type:   Direct-Access                      ANSI SCSI revision: 03
  Vendor: SEAGATE   Model: ST173404LW        Rev: 0003
  Type:   Direct-Access                      ANSI SCSI revision: 03
sym53c1010-33-0-<1,0>: tagged command queue depth set to 4
sym53c1010-33-0-<2,0>: tagged command queue depth set to 4
Detected scsi disk sda at scsi0, channel 0, id 1,lun 0
Detected scsi disk sdb at scsi0, channel 0, id 2, lun 0
sym53c1010-33-0-<1,*>: FAST-20 WIDE SCSI 40.0 MB/s (50.0 ns, offset 31)
SCSI device sda: 143374738 512-byte hdwr sectors (73408 MB)
 sda: sda1 sda2
sym53c1010-33-0-<2,*>: FAST-20 WIDE SCSI 40.0 MB/s (50.0 ns, offset 31)
SCSI device sdb: 143374738 512-byte hdwr sectors (73408 MB)
 sdb: sdb1 sdb2
raid1 personality registered
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md.c: sizeof(mdp_super_t) = 4096
autodetecting RAID arrays
(read) sda1's sb offset: 40965632 [events: 00000014]
(read) sda2's sb offset: 30716160 [events: 00000014]
(read) sdb1's sb offset: 40965632 [events: 00000014]
(read) sdb2's sb offset: 30716160 [events: 00000014]
autorun ...
considering sdb2 ...
  adding sdb2 ...
  adding sda2 ...
created md1
bind<sda2,1>
bind<sdb2,2>
running: <sdb2><sda2>
now!
sdb2's event counter: 00000014
sda2's event counter: 00000014
md1: max total readahead window set to 124k
md1: 1 data-disks, max readahead per data-disk: 124k
raid1: device sdb2 operational as mirror 0
raid1: device sda2 operational as mirror 1
(checking disk 0)
(really checking disk 0)
(checking disk 1)
(really checking disk 1)
(checking disk 2)
(checking disk 3)
(checking disk 4)
(checking disk 5)
(checking disk 6)
(checking disk 7)
(checking disk 8)
(checking disk 9)
(checking disk 10)
(checking disk 11)
(checking disk 12)
(checking disk 13)
(checking disk 14)
(checking disk 15)
(checking disk 16)
(checking disk 17)
(checking disk 18)
(checking disk 19)
(checking disk 20)
(checking disk 21)
(checking disk 22)
(checking disk 23)
(checking disk 24)
(checking disk 25)
(checking disk 26)
raid1: raid set md1 active with 2 out of 2 mirrors
md: updating md1 RAID superblock on device
sdb2 [events: 00000015](write) sdb2's sb offset: 30716160
sda2 [events: 00000015](write) sda2's sb offset: 30716160
.
considering sdb1 ...
  adding sdb1 ...
  adding sda1 ...
created md0
bind<sda1,1>
bind<sdb1,2>
running: <sdb1><sda1>
now!
sdb1's event counter: 00000014
sda1's event counter: 00000014
md0: max total readahead window set to 124k
md0: 1 data-disks, max readahead per data-disk: 124k
raid1: device sdb1 operational as mirror 0
raid1: device sda1 operational as mirror 1
(checking disk 0)
(really checking disk 0)
(checking disk 1)
(really checking disk 1)
(checking disk 2)
(checking disk 3)
(checking disk 4)
(checking disk 5)
(checking disk 6)
(checking disk 7)
(checking disk 8)
(checking disk 9)
(checking disk 10)
(checking disk 11)
(checking disk 12)
(checking disk 13)
(checking disk 14)
(checking disk 15)
(checking disk 16)
(checking disk 17)
(checking disk 18)
(checking disk 19)
(checking disk 20)
(checking disk 21)
(checking disk 22)
(checking disk 23)
(checking disk 24)
(checking disk 25)
(checking disk 26)
raid1: raid set md0 active with 2 out of 2 mirrors
md: updating md0 RAID superblock on device
sdb1 [events: 00000015](write) sdb1's sb offset: 40965632
sda1 [events: 00000015](write) sda1's sb offset: 40965632
.
... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP
IP: routing cache hash table of 8192 buckets, 64Kbytes
TCP: Hash tables configured (established 262144 bind 65536)
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 228k freed
Adding Swap: 1048816k swap-space (priority -1)
eth0: using NWAY device table, not 8
eth0: Setting full-duplex based on MII #24 link partner capability of 41e1.
Comment 4 Arjan van de Ven 2001-05-14 13:22:50 EDT
I don't see anything strange. It would be interesting to know if the 2.4.3
kernel we have in rawhide also boots. (on 7.0 you have to install it with
--nodeps --force probably, but it should at least boot)
Comment 5 Need Real Name 2001-05-14 13:28:24 EDT
A coworker said that he had the same issue with RedHat 7.1 on a similar
motherboard (ServerWorks chipset, but no on-board SCSI).  He got around it by
booting from the boot floppy, which I didn't attempt.

Now that the server is up, I am reluctant to fiddle with it as it would mean
reconfiguring a bunch of things (which I've already done a few times (long
story)).
Comment 6 Arjan van de Ven 2001-06-26 09:25:42 EDT
The released errata kernel 2.4.3-12 has a new serverworks IDE driver that
should work a lot better. If that doesn't work, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.